let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;

export const getFloatingWidgetInput = async (floatWidgetID: string, organization: string, projectId?: string, versionId?: string) => {
 
    try {
        const response = await fetch(
            `${url_Backend_dwinzo}/api/V1/floatWidget/${projectId}/${versionId}/${floatWidgetID}`,
            {
                method: "GET",
                headers: {
                    Authorization: "Bearer <access_token>",
                    "Content-Type": "application/json",
                    token: localStorage.getItem("token") || "",
                    refresh_token: localStorage.getItem("refreshToken") || "",
                },
            }
        );
        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            //console.log("New token received:", newAccessToken);
            localStorage.setItem("token", newAccessToken);
        }


        if (!response.ok) {
            throw new Error("Failed to fetch zoneDatas");
        }

        const result = await response.json();
        return result;
    } catch (error: any) {
        echo.error("Failed to fetch 2d widget data");
        console.log(error.message);
    }
};
